#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <alloc.h>
#include "graphics.h"
#include "rpg.h"

paletteType palette;
unsigned char buffer[320];

int main(void)
{
  int choice = 0;
  clrscr();
  cputs("1. Write Default Palette\n\r"
        "2. Write images\n\r");
  choice = getch() - '0';

  clrscr();

  switch (choice)
  {
    case 1:
    {
      getAllPalette(palette);

      char filename[83] = {80};
      cputs("Enter default palette file: ");
      cgets(filename);
      cputs("\n\r");

      FILE *handle;
      handle = fopen(&filename[2], "wb");
      if (handle == NULL)
      {
        cputs("Error: Could not open palette file\n\r");
        if (getch() == 0) getch();
        exit(1);
      }

      fwrite(palette, 3, 256, handle);
      fclose(handle);
      cprintf("Default palette written to %s\n\r", &filename[2]);
      break;
    }

    case 2:
    {
      char file[83] = {80};
      cputs("Enter image file: ");
      cgets(file);
      cputs("\n\r");

      FILE *wHandle;
      wHandle = fopen(&file[2], "wb");

      FILE *rHandle;
      rHandle = fopen("arrow.bmp", "rb");
      if (rHandle == NULL)
      {
        fclose(wHandle);
        cputs("Error: Could not open ARROW.BMP\n\r");
        if (getch() == 0) getch();
        exit(1);
      }

      char arrow[256];
      fseek(rHandle, 1078, SEEK_SET);
      fread(arrow, 1, 256, rHandle);
      fclose(rHandle);

      fwrite(arrow, 1, 256, wHandle);

      fclose(rHandle);

      fclose(wHandle);
      cputs("Images successfully written\n\r");
      break;
    }
  }

  return 0;
}
