#include <stdio.h>
#include <conio.h>
#include <ctype.h>

#include "advinput.h"
#include "graphics.h"
#include "rpg.h"

int monster;
monsterType monsters[NUM_MONSTERS];

int main(void)
{
  FILE *handle;
  handle = fopen(MONSTER_FILE, "rb");
  if (handle)
  {
    fread(monsters, 1, sizeof(monsterType) * NUM_MONSTERS, handle);
    fclose(handle);
  }

  clrscr();
  textcolor(LIGHTGREEN); cputs("MONSTER ");
  textcolor(LIGHTBLUE);  cputs("- Monster Editor\n\r");
  textcolor(YELLOW);     cputs("v1.0\n\n\r");
  textcolor(LIGHTCYAN);  cputs("Chad Austin 1997\n\r");
  if (getch() == 0) getch();

  int done = 0;
  while (!done)
  {
    clrscr();
    textcolor(LIGHTMAGENTA);
    cprintf("Current Monster: %d\n\n\r", monster);
    textcolor(LIGHTCYAN);
    cprintf("Name: %s\n\n\r", monsters[monster].name);
    cprintf("HP: %d\n\r", monsters[monster].maxHP);
    cprintf("Attack: %d\n\r", monsters[monster].attack);
    cprintf("Def: %d\n\r", monsters[monster].def);
    cprintf("MDef: %d\n\r", monsters[monster].mdef);
    cprintf("Speed: %d\n\r", monsters[monster].speed);
    cprintf("Gold: %d\n\r", monsters[monster].gold);
    cprintf("Exp: %d\n\n\r", monsters[monster].exp);

    textcolor(LIGHTBLUE);
    cputs("<  Prev         >  Next\n\r"
          "N  Name         H  HP\n\r"
          "A  Attack       D  Defense\n\r"
          "M  MDefense     P  Speed\n\r"
          "G  Gold         E  Experience\n\r"
          "Q  Quit         S  Save\n\n\r");

    char c;
    c = toupper(getch());
    switch (c)
    {
      case '0': getch(); break;
      case ',': case '<': if (--monster == -1) monster = NUM_MONSTERS - 1;
                          break;
      case '.': case '>': if (++monster == NUM_MONSTERS) monster = 0;
                          break;
      case 'N': getstring(monsters[monster].name, "Enter new name: ", 12);
                break;
      case 'H': monsters[monster].maxHP = getint("Enter HP: ", 0, 9999);
                break;
      case 'A': monsters[monster].attack = getint("Enter attack: ", 0, 9999);
                break;
      case 'D': monsters[monster].def = getint("Enter defense: ", 0, 9999);
                break;
      case 'M': monsters[monster].mdef = getint("Enter magic defense: ", 0, 9999);
                break;
      case 'P': monsters[monster].speed = getint("Enter speed: ", 0, 9999);
                break;
      case 'G': monsters[monster].gold = getint("Enter gold: ", 0, 9999);
                break;
      case 'E': monsters[monster].exp = getint("Enter experience: ", 0, 9999);
                break;
      case 'S':
        handle = fopen(MONSTER_FILE, "wb");
        fwrite(monsters, 1, sizeof(monsterType) * NUM_MONSTERS, handle);
        fclose(handle);
        break;

      case 'Q': done = 1;
    }



  }
  textcolor(7);
  clrscr();
  return 0;
}
